Subject: linux-next: build failure after merge of the nfsd tree

From: Mark Brown <[email-masked]>
Date: Mon, 25 May 2026 13:57:46 +0100

Hi all,

After merging the nfsd tree, today's linux-next build (arm64 allnoconfig)
failed like this:

ld: Unexpected GOT/PLT entries detected!
ld: Unexpected run-time procedure linkages detected!
ld: fs/xattr.o: in function `simple_xattr_obj_hashfn':
xattr.c:(.text+0x2f0): undefined reference to `xxh32'
ld: xattr.c:(.text+0x300): undefined reference to `xxh32'
ld: fs/xattr.o: in function `simple_xattr_hashfn':
xattr.c:(.text+0x340): undefined reference to `xxh32'
ld: xattr.c:(.text+0x350): undefined reference to `xxh32'
ld: fs/xattr.o: in function `simple_xattr_get':
xattr.c:(.text+0x2374): undefined reference to `xxh32'
ld: fs/xattr.o:xattr.c:(.text+0x2384): more undefined references to `xxh32' follow

I didn't figure out exactly which commit did this but I'm guessing it's
one of these from the vfs-brauner tree that you've pulled in:

  1cd9d2387c05a (simple_xattr: change interface to pass struct simple_xattrs **)
  12e9e3cd03b5a (simpe_xattr: use per-sb cache)

I have used the version from next-20260522 instead.